User
Get user by ID
Retrieve detailed information about a specific user.
Required Scopes:
userread
Path Parameters
userId*string
Wingfield user identifier.
Format
uuidResponse
200Error Responses
400
invalid_schema
Request validation failed.
401
missing_api_token
No authentication token provided.
401
invalid_api_token
Invalid or expired authentication token.
403
scope_permission_denied
Insufficient permissions for this operation.
403
user_access_denied
Service is not granted access to the user.
404
user_not_found
User was not found.
curl -X GET "https://dev.wingfield.systems/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"birthday": "2019-08-24T14:15:22Z",
"gender": "MALE",
"mainSportType": "TENNIS",
"playingHand": "LEFT"
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "user_not_found",
"message": "string"
}
}